<app-toast [message]="toast.message"></app-toast>

<div class="card">
  <h4 class="card-header">ข้อมูลทางคลีนิก <span style="color: red;"> **สำหรับเจ้าหน้าที่**</span></h4>
  <div class="card-body">
    <form [formGroup]="registerForm" (ngSubmit)="registerInformation()">
      <div class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              วันที่เริ่มป่วย
            </span>
          </div>
          <input class="form-control" type="date" name="date_of_illness"
            [ngClass]="{ 'is-invalid': submitted && f.date_of_illness.errors }" formControlName="date_of_illness"
            placeholder="ระบุวันที่เริ่มป่วย">
          <div *ngIf="submitted && f.date_of_illness.errors" class="invalid-feedback">
            <div *ngIf="f.date_of_illness.errors.required">กรุณาระบุเวันที่เริ่มป่วย</div>
          </div>
        </div>
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              วันที่เข้ารับการรักษาครั้งแรก
            </span>
          </div>
          <input class="form-control" type="date" name="date_of_first_admission"
            [ngClass]="{ 'is-invalid': submitted && f.date_of_first_admission.errors }"
            formControlName="date_of_first_admission" placeholder="ระบุวันที่เข้ารับการรักษาครั้งแรก">
          <div *ngIf="submitted && f.date_of_first_admission.errors" class="invalid-feedback">
            <div *ngIf="f.date_of_first_admission.errors.required">กรุณาระบุวันที่เข้ารับการรักษาครั้งแรก</div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ชื่อสถานพยาบาล
            </span>
          </div>
          <input class="form-control" type="text" name="first_hospital"
            [ngClass]="{ 'is-invalid': submitted && f.first_hospital.errors }" formControlName="first_hospital"
            placeholder="ระบุชื่อสถานพยาบาลท่ีเข้ารับการรักษาคร้ังแรก ">
          <div *ngIf="submitted && f.first_hospital.errors" class="invalid-feedback">
            <div *ngIf="f.first_hospital.errors.required">กรุณาระบุชื่อสถานพยาบาลท่ีเข้ารับการรักษาคร้ังแรก </div>
          </div>
        </div>
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              จังหวัด
            </span>
          </div>
          <input class="form-control" type="text" name="f_province_hospital"
            [ngClass]="{ 'is-invalid': submitted && f.f_province_hospital.errors }"
            formControlName="f_province_hospital" placeholder="ระบุจังหวัด">
          <div *ngIf="submitted && f.f_province_hospital.errors" class="invalid-feedback">
            <div *ngIf="f.f_province_hospital.errors.required">กรุณาระบุจังหวัด</div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ชื่อสถานพยาบาล
            </span>
          </div>
          <input class="form-control" type="text" name="currently_hospital"
            [ngClass]="{ 'is-invalid': submitted && f.currently_hospital.errors }" formControlName="currently_hospital"
            placeholder="ระบุชื่อสถานพยาบาลท่ีเข้ารับการรักษาในปัจจุบัน">
          <div *ngIf="submitted && f.currently_hospital.errors" class="invalid-feedback">
            <div *ngIf="f.currently_hospital.errors.required">กรุณาระบุชื่อสถานพยาบาลท่ีเข้ารับการรักษาในปัจจุบัน</div>
          </div>
        </div>
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              จังหวัด
            </span>
          </div>
          <input class="form-control" type="text" name="c_province_hospital"
            [ngClass]="{ 'is-invalid': submitted && f.c_province_hospital.errors }"
            formControlName="c_province_hospital" placeholder="ระบุจังหวัด">
          <div *ngIf="submitted && f.c_province_hospital.errors" class="invalid-feedback">
            <div *ngIf="f.c_province_hospital.errors.required">กรุณาระบุจังหวัด</div>
          </div>
        </div>
      </div>

      <h5 style="padding-bottom: 10px; padding-top: 30px;">
        อาการและอาการแสดงในวันพบผู้ป่วย
      </h5>
      <div class="input-group">
        <div class="col-lg-3 input-group " *ngFor="let item of symptomArray ; let i = index">

          <input (click)="otherSymptoms(item.value)" id="checkBox" class="form-check-input" type="checkbox"
            [ngModelOptions]="{standalone: true}" [(ngModel)]="item.check">

          <label class="form-check-label" for="checkBox">
            {{item.value}}
          </label>


        </div>
        <div *ngIf="othertext == true" class="input-group">
          <input type="text" placeholder="โปรดระบุ" formControlName="symptoms" class="form-control"
            [ngClass]="{ 'is-invalid': submitted && f.symptoms.errors }" />
          <div *ngIf="submitted && f.symptoms.errors" class="invalid-feedback">
            <div *ngIf="f.symptoms.errors.required">กรุณาระบุอาการ</div>
          </div>
        </div>

      </div>

      <h5 style="padding-bottom: 10px; padding-top: 10px;">
        เอกซเรย์ปอด (ครั้งแรก)
      </h5>
      <div class="row">

        <div class="col-lg-6 input-group">


          <label class="col-lg-6">
            <input type="radio" formControlName="xray" [ngClass]="{ 'is-invalid': submitted && f.xray.errors }" value=1>
            ไม่ได้ทํา
            <div *ngIf="submitted && f.xray.errors" class="invalid-feedback">
              <div *ngIf="f.xray.errors.required">กรุณาระบุ</div>
            </div>
          </label>
          <label>
            <input type="radio" formControlName="xray" [ngClass]="{ 'is-invalid': submitted && f.xray.errors }" value=2>
            ทํา
          </label>


        </div>

        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              เมื่อวันท่ี

            </span>
          </div>
          <input class="form-control" name="xray_date" type="date" formControlName="xray_date"
            placeholder="วันที่เอกซเรย์ปอด">
        </div>
      </div>

      <div class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text">
            ระบุผล

          </span>
        </div>
        <textarea class="form-control" name="xray_result" type="text" formControlName="xray_result"
          placeholder="ระบุผลการเอกซเรย์ปอด">
          </textarea>
      </div>

      <h5 style="padding-bottom: 15px; padding-top: 30px;">
        CBC (ครั้งแรก)
      </h5>

      <div class="row" style="padding-top: 5px;">
        <div class="col-lg-3 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">วันท่ี</span>
          </div>
          <input class="form-control" name="cbc_date" type="date" formControlName="cbc_date"
            placeholder="วันที่ CBC (ครั้งแรก)">
        </div>
        <div class="col-lg-3 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">ผล Hb</span>
          </div>
          <input class="form-control" name="hb_result" type="text" formControlName="hb_result"
            placeholder="ระบุผล Hb...g/dL">
        </div>
        <div class="col-lg-3 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">Hct</span>
          </div>
          <input class="form-control" name="hct_result" type="text" formControlName="hct_result"
            placeholder="ระบุผล Hct...%">
        </div>
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">Platelet count</span>
          </div>
          <input class="form-control" name="platelet_count" type="text" formControlName="platelet_count"
            placeholder="ระบุผล Platelet count">
          <span class="input-group-text">x10<sup>3</sup></span>
        </div>

      </div>
      <h5 style="padding-bottom: 15px; padding-top: 30px;">
        WBC
      </h5>

      <div class="row" style="padding-top: 5px;">
        <div class="col-lg-2 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">N</span>
          </div>
          <input class="form-control" name="wbc_N" type="text" formControlName="wbc_N" placeholder="ระบุ N...%">
          <span class="input-group-text">%</span>
        </div>
        <div class="col-lg-2 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">L</span>
          </div>
          <input class="form-control" name="wbc_L" type="text" formControlName="wbc_L" placeholder="ระบุ L...%">
          <span class="input-group-text">%</span>
        </div>
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">Atyp lymph</span>
          </div>
          <input class="form-control" name="wbc_AL" type="text" formControlName="wbc_AL"
            placeholder="ระบุผล Atyp lymph...%">
          <span class="input-group-text">%</span>
        </div>
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">Mono</span>
          </div>
          <input class="form-control" name="wbc_Mono" type="text" formControlName="wbc_Mono"
            placeholder="ระบุผล Mono...%">
          <span class="input-group-text">%</span>
        </div>
        <div class="col-lg-12 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">อื่นๆ</span>
          </div>
          <input class="form-control" name="wbc_other" type="text" formControlName="wbc_other"
            placeholder="ระบุผลอื่นๆ">

        </div>

      </div>

      <h5 style="padding-bottom: 15px; padding-top: 30px;">
        ผลการตรวจท่ียืนยันว่าเป็น SARS-CoV-2
      </h5>
      <h6 style="padding-bottom: 15px;">
        RT-PCR:
      </h6>
      <div class="row">
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              วันที่เก็บ
            </span>
          </div>
          <input class="form-control" type="date" name="rt_pcr_collected_date"
            [ngClass]="{ 'is-invalid': submitted && f.rt_pcr_collected_date.errors }"
            formControlName="rt_pcr_collected_date" placeholder="ระบุวันที่เก็บ">
          <div *ngIf="submitted && f.rt_pcr_collected_date.errors" class="invalid-feedback">
            <div *ngIf="f.rt_pcr_collected_date.errors.required">กรุณาระบุวันที่เก็บ</div>
          </div>
        </div>
        <div class="col-lg-8 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ชนิดตัวอย่าง
            </span>
          </div>
          <input class="form-control" type="text" name="rt_pcr_sample"
            [ngClass]="{ 'is-invalid': submitted && f.rt_pcr_sample.errors }" formControlName="rt_pcr_sample"
            placeholder="ระบุชนิดตัวอย่าง">
          <div *ngIf="submitted && f.rt_pcr_sample.errors" class="invalid-feedback">
            <div *ngIf="f.rt_pcr_sample.errors.required">กรุณาระบุชนิดตัวอย่าง</div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              สถานที่ตรวจ
            </span>
          </div>
          <input class="form-control" type="text" name="rt_pcr_place"
            [ngClass]="{ 'is-invalid': submitted && f.rt_pcr_place.errors }" formControlName="rt_pcr_place"
            placeholder="ระบุสถานที่ตรวจ">
          <div *ngIf="submitted && f.rt_pcr_place.errors" class="invalid-feedback">
            <div *ngIf="f.rt_pcr_place.errors.required">กรุณาระบุสถานที่ตรวจ</div>
          </div>
        </div>

        <div class="col-lg-6 input-group">
          <span class="input-group-text">
            ผลตรวจ
          </span>

          <label class="col-lg-3">
            <input type="radio" formControlName="rt_pcr_result"
              [ngClass]="{ 'is-invalid': submitted && f.rt_pcr_result.errors }" value=1>
            Detected
            <div *ngIf="submitted && f.rt_pcr_result.errors" class="invalid-feedback">
              <div *ngIf="f.rt_pcr_result.errors.required">กรุณาระบุผลตรวจ</div>
            </div>
          </label>
          <label>
            <input type="radio" formControlName="rt_pcr_result"
              [ngClass]="{ 'is-invalid': submitted && f.rt_pcr_result.errors }" value=2>
            Not Detected
          </label>
        </div>
      </div>
      <h6 style="padding-bottom: 15px; padding-top: 10px;">
        Antigen:
      </h6>
      <div class="row">
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              วันที่เก็บ
            </span>
          </div>
          <input class="form-control" type="date" name="antigen_collected_date"
            [ngClass]="{ 'is-invalid': submitted && f.antigen_collected_date.errors }"
            formControlName="antigen_collected_date" placeholder="ระบุวันที่เก็บ">
          <div *ngIf="submitted && f.antigen_collected_date.errors" class="invalid-feedback">
            <div *ngIf="f.antigen_collected_date.errors.required">กรุณาระบุวันที่เก็บ</div>
          </div>
        </div>
        <div class="col-lg-8 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ชนิดตัวอย่าง
            </span>
          </div>
          <input class="form-control" type="text" name="antigen_sample"
            [ngClass]="{ 'is-invalid': submitted && f.antigen_sample.errors }" formControlName="antigen_sample"
            placeholder="ระบุชนิดตัวอย่าง">
          <div *ngIf="submitted && f.antigen_sample.errors" class="invalid-feedback">
            <div *ngIf="f.antigen_sample.errors.required">กรุณาระบุชนิดตัวอย่าง</div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              สถานที่ตรวจ
            </span>
          </div>
          <input class="form-control" type="text" name="antigen_place"
            [ngClass]="{ 'is-invalid': submitted && f.antigen_place.errors }" formControlName="antigen_place"
            placeholder="ระบุสถานที่ตรวจ">
          <div *ngIf="submitted && f.antigen_place.errors" class="invalid-feedback">
            <div *ngIf="f.antigen_place.errors.required">กรุณาระบุสถานที่ตรวจ</div>
          </div>
        </div>

        <div class="col-lg-6 input-group">
          <span class="input-group-text">
            ผลตรวจ
          </span>

          <label class="col-lg-3">
            <input type="radio" formControlName="antigen_result"
              [ngClass]="{ 'is-invalid': submitted && f.antigen_result.errors }" value=1>
            Detected
            <div *ngIf="submitted && f.antigen_result.errors" class="invalid-feedback">
              <div *ngIf="f.antigen_result.errors.required">กรุณาระบุผลตรวจ</div>
            </div>
          </label>
          <label>
            <input type="radio" formControlName="antigen_result"
              [ngClass]="{ 'is-invalid': submitted && f.antigen_result.errors }" value=2>
            Not Detected
          </label>
        </div>
      </div>

      <h6 style="padding-bottom: 15px; padding-top: 10px;">
        Antibody ครั้งท่ี 1
      </h6>
      <div class="row">
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              วันที่เก็บ
            </span>
          </div>
          <input class="form-control" type="date" name="f_antibody_collected_date"
            [ngClass]="{ 'is-invalid': submitted && f.f_antibody_collected_date.errors }"
            formControlName="f_antibody_collected_date" placeholder="ระบุวันที่เก็บ">
          <div *ngIf="submitted && f.f_antibody_collected_date.errors" class="invalid-feedback">
            <div *ngIf="f.f_antibody_collected_date.errors.required">กรุณาระบุวันที่เก็บ</div>
          </div>
        </div>
        <div class="col-lg-8 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ชนิดตัวอย่าง
            </span>
          </div>
          <input class="form-control" type="text" name="f_antibody_sample"
            [ngClass]="{ 'is-invalid': submitted && f.f_antibody_sample.errors }" formControlName="f_antibody_sample"
            placeholder="ระบุชนิดตัวอย่าง">
          <div *ngIf="submitted && f.f_antibody_sample.errors" class="invalid-feedback">
            <div *ngIf="f.f_antibody_sample.errors.required">กรุณาระบุชนิดตัวอย่าง</div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              สถานที่ตรวจ
            </span>
          </div>
          <input class="form-control" type="text" name="f_antibody_place"
            [ngClass]="{ 'is-invalid': submitted && f.f_antibody_place.errors }" formControlName="f_antibody_place"
            placeholder="ระบุสถานที่ตรวจ">
          <div *ngIf="submitted && f.f_antibody_place.errors" class="invalid-feedback">
            <div *ngIf="f.f_antibody_place.errors.required">กรุณาระบุสถานที่ตรวจ</div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-lg-12 input-group">
          <span class="input-group-text mr-2">
            ผลตรวจ
          </span>
          <div class="col-lg-1">
            <input (change)="antibodyIgMChecked()" value="IgM" id="checkBoxIgM" type="checkbox">
            <label class="form-check-label ml-2">
              IgM
            </label>
          </div>
          <div *ngIf="antibodyIgMCheck == true" class="col-lg-3">
            <input type="text" placeholder="โปรดระบุ" formControlName="f_antibody_IgM" class="form-control"
              [ngClass]="{ 'is-invalid': submitted && f.f_antibody_IgM.errors }" />
            <div *ngIf="submitted && f.f_antibody_IgM.errors" class="invalid-feedback">
              <div *ngIf="f.f_antibody_IgM.errors.required">กรุณากรอกข้อมูล</div>
            </div>
          </div>
          <div class="col-lg-1">
            <input (change)="antibodyIgGChecked()" value="IgG" id="checkBoxIgG" type="checkbox">
            <label class="form-check-label ml-2">
              IgG
            </label>
          </div>
          <div *ngIf="antibodyIgGCheck == true" class="col-lg-3">
            <input type="text" placeholder="โปรดระบุ" formControlName="f_antibody_IgG" class="form-control"
              [ngClass]="{ 'is-invalid': submitted && f.f_antibody_IgG.errors }" />
            <div *ngIf="submitted && f.f_antibody_IgG.errors" class="invalid-feedback">
              <div *ngIf="f.f_antibody_IgG.errors.required">กรุณากรอกข้อมูล</div>
            </div>
          </div>
          <div class="col-lg-1">
            <input (click)="antibodyNegChecked()" value="IgM" id="checkBox" type="checkbox">
            <label class="form-check-label ml-2" for="checkBox">
              Neg
            </label>
          </div>
        </div>
      </div>

      <h6 style="padding-bottom: 15px; padding-top: 10px;">
        Antibody ครั้งท่ี 2
      </h6>

      <div class="row">
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              วันที่เก็บ
            </span>
          </div>
          <input class="form-control" type="date" name="s_antibody_collected_date"
            [ngClass]="{ 'is-invalid': submitted && f.s_antibody_collected_date.errors }"
            formControlName="s_antibody_collected_date" placeholder="ระบุวันที่เก็บ">
          <div *ngIf="submitted && f.s_antibody_collected_date.errors" class="invalid-feedback">
            <div *ngIf="f.s_antibody_collected_date.errors.required">กรุณาระบุวันที่เก็บ</div>
          </div>
        </div>
        <div class="col-lg-8 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ชนิดตัวอย่าง
            </span>
          </div>
          <input class="form-control" type="text" name="s_antibody_sample"
            [ngClass]="{ 'is-invalid': submitted && f.s_antibody_sample.errors }" formControlName="s_antibody_sample"
            placeholder="ระบุชนิดตัวอย่าง">
          <div *ngIf="submitted && f.s_antibody_sample.errors" class="invalid-feedback">
            <div *ngIf="f.s_antibody_sample.errors.required">กรุณาระบุชนิดตัวอย่าง</div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              สถานที่ตรวจ
            </span>
          </div>
          <input class="form-control" type="text" name="s_antibody_place"
            [ngClass]="{ 'is-invalid': submitted && f.s_antibody_place.errors }" formControlName="s_antibody_place"
            placeholder="ระบุสถานที่ตรวจ">
          <div *ngIf="submitted && f.s_antibody_place.errors" class="invalid-feedback">
            <div *ngIf="f.s_antibody_place.errors.required">กรุณาระบุสถานที่ตรวจ</div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-lg-12 input-group">
          <span class="input-group-text mr-2">
            ผลตรวจ
          </span>
          <div class="col-lg-1">
            <input (change)="antibodyIgMChecked2()" value="IgM" id="checkBoxIgM" type="checkbox">
            <label class="form-check-label ml-2">
              IgM
            </label>
          </div>
          <div *ngIf="antibodyIgMCheck2 == true" class="col-lg-3">
            <input type="text" placeholder="โปรดระบุ" formControlName="s_antibody_IgM" class="form-control"
              [ngClass]="{ 'is-invalid': submitted && f.s_antibody_IgM.errors }" />
            <div *ngIf="submitted && f.s_antibody_IgM.errors" class="invalid-feedback">
              <div *ngIf="f.s_antibody_IgM.errors.required">กรุณากรอกข้อมูล</div>
            </div>
          </div>
          <div class="col-lg-1">
            <input (change)="antibodyIgGChecked2()" value="IgG" id="checkBoxIgG" type="checkbox">
            <label class="form-check-label ml-2">
              IgG
            </label>
          </div>
          <div *ngIf="antibodyIgGCheck2 == true" class="col-lg-3">
            <input type="text" placeholder="โปรดระบุ" formControlName="s_antibody_IgG" class="form-control"
              [ngClass]="{ 'is-invalid': submitted && f.s_antibody_IgG.errors }" />
            <div *ngIf="submitted && f.s_antibody_IgG.errors" class="invalid-feedback">
              <div *ngIf="f.s_antibody_IgG.errors.required">กรุณากรอกข้อมูล</div>
            </div>
          </div>
          <div class="col-lg-1">
            <input (click)="antibodyNegChecked2()" value="IgM" id="checkBox" type="checkbox">
            <label class="form-check-label ml-2" for="checkBox">
              Neg
            </label>
          </div>
        </div>
      </div>

      <div style="padding-top: 30px;" class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ประเภทผู้ป่วย
            </span>
          </div>
          <select class="custom-select" name="type_of_patient" formControlName="type_of_patient"
            [ngClass]="{ 'is-invalid': submitted && f.type_of_patient.errors }" formControlName="type_of_patient"
            placeholder="ระบุประเภทผู้ป่วย">
            <option value="">กรุณาระบุประเภทผู้ป่วย</option>
            <option value="ผู้ติดเชื้อเข้าข่าย">ผู้ติดเชื้อเข้าข่าย</option>
            <option value="ผู้ป่วยยืนยัน">ผู้ป่วยยืนยัน</option>
          </select>
          <div *ngIf="submitted && f.type_of_patient.errors" class="invalid-feedback">
            <div *ngIf="f.type_of_patient.errors.required">กรุณาระบุประเภทผู้ป่วย</div>
          </div>

        </div>
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ประเภทการรักษา
            </span>
          </div>
          <select class="custom-select" name="treatment_type" formControlName="treatment_type"
            [ngClass]="{ 'is-invalid': submitted && f.treatment_type.errors }" formControlName="treatment_type"
            placeholder="ระบุประเภทการรักษา">
            <option value="">กรุณาระบุประเภทการรักษา </option>
            <option value="Home Isolation">Home Isolation</option>
            <option value="Community Isolation">Community Isolation</option>
            <option value="รพ.สนาม/รพ.เฉพาะกิจ">รพ.สนาม/รพ.เฉพาะกิจ</option>
            <option value="โรงพยาบาล">โรงพยาบาล</option>
          </select>
          <div *ngIf="submitted && f.treatment_type.errors" class="invalid-feedback">
            <div *ngIf="f.treatment_type.errors.required">กรุณาระบุประเภทการรักษา</div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ชื่อสถานท่ีรักษาในปัจจุบัน
            </span>
          </div>
          <input class="form-control" type="text" name="current_place_treatment"
            [ngClass]="{ 'is-invalid': submitted && f.current_place_treatment.errors }"
            formControlName="current_place_treatment" placeholder="ระบุชื่อสถานท่ีรักษาในปัจจุบัน">
          <div *ngIf="submitted && f.current_place_treatment.errors" class="invalid-feedback">
            <div *ngIf="f.current_place_treatment.errors.required">กรุณาระบุชื่อสถานท่ีรักษาในปัจจุบัน</div>
          </div>
        </div>
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              จังหวัด
            </span>
          </div>
          <input class="form-control" type="text" name="current_province_treatment"
            [ngClass]="{ 'is-invalid': submitted && f.current_province_treatment.errors }"
            formControlName="current_province_treatment" placeholder="ระบุจังหวัด">
          <div *ngIf="submitted && f.current_province_treatment.errors" class="invalid-feedback">
            <div *ngIf="f.current_province_treatment.errors.required">กรุณาระบุจังหวัด</div>
          </div>
        </div>
      </div>

      <h5 style="padding-bottom: 15px; padding-top: 30px;">
        การรักษาโรคติดเชื้อไวรัสโคโรนา 2019 ด้วยยา
      </h5>
      <div class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ยาต้านไวรัส
            </span>
          </div>
          <select (change)="onchangeOther()" class="custom-select" name="medicine_type" formControlName="medicine_type"
            [ngClass]="{ 'is-invalid': submitted && f.medicine_type.errors }" formControlName="medicine_type"
            placeholder="ระบุประเภทการรักษา">
            <option value="">กรุณาระบุประเภทยาต้านไวรัส </option>
            <option value="ไม่ให้">ไม่ให้</option>
            <option value="Favipiravir">Favipiravir</option>
            <option value="Remdesivir">Remdesivir</option>
            <option value="ยาต้านไวรัสอื่นๆ">ยาต้านไวรัสอื่นๆ</option>
          </select>
          <div *ngIf="submitted && f.medicine_type.errors" class="invalid-feedback">
            <div *ngIf="f.medicine_type.errors.required">กรุณาระบุประเภทยาต้านไวรัส</div>
          </div>
        </div>
        <div *ngIf="other_medicine == true" class="col-lg-6 input-group">
          <label for="medicine_type"></label>
          <input type="text" formControlName="medicine_type" class="form-control"
            [ngClass]="{ 'is-invalid': submitted && f.medicine_type.errors }" />
        </div>
        <div *ngIf="startdate == true" class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              วันเริ่มรับยา
            </span>
          </div>
          <input type="date" placeholder="ระบุวันที่เริ่มรับยา" formControlName="medicine_startdate"
            class="form-control" [ngClass]="{ 'is-invalid': submitted && f.medicine_startdate.errors }" />
          <div *ngIf="submitted && f.medicine_startdate.errors" class="invalid-feedback">
            <div *ngIf="f.medicine_startdate.errors.required">กรุณาระบุวันที่เริ่มรับยา</div>
          </div>
        </div>
      </div>


      <div class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ยารักษาโควิด 19 อื่นๆ
            </span>
          </div>
          <select (change)="onchangeotherMedicine()" class="custom-select" name="othermedicine_type"
            formControlName="othermedicine_type" [ngClass]="{ 'is-invalid': submitted && f.othermedicine_type.errors }"
            formControlName="othermedicine_type" placeholder="ระบุประเภทการรักษา">
            <option value="">กรุณาระบุยารักษาโควิด 19 อื่นๆ </option>
            <option value="ไม่ให้">ไม่ให้</option>
            <option value="Corticosteroids">Corticosteroids</option>
            <option value="ฟ้าทะลายโจร">ฟ้าทะลายโจร</option>
            <option value="ยาอื่นๆ">ยาอื่นๆ</option>
          </select>
          <div *ngIf="submitted && f.othermedicine_type.errors" class="invalid-feedback">
            <div *ngIf="f.othermedicine_type.errors.required">กรุณาระบุประเภทยารักษาโควิด 19 อื่นๆ</div>
          </div>
        </div>
        <div *ngIf="other_medicine_1 == true" class="col-lg-6 input-group">
          <label for="othermedicine_type"></label>
          <input type="text" formControlName="othermedicine_type" class="form-control"
            [ngClass]="{ 'is-invalid': submitted && f.othermedicine_type.errors }" />
        </div>
        <div *ngIf="startdate_other == true" class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              วันเริ่มรับยา
            </span>
          </div>
          <input type="date" placeholder="ระบุวันที่เริ่มรับยา" formControlName="othermedicine_startdate"
            class="form-control" [ngClass]="{ 'is-invalid': submitted && f.othermedicine_startdate.errors }" />
          <div *ngIf="submitted && f.othermedicine_startdate.errors" class="invalid-feedback">
            <div *ngIf="f.othermedicine_startdate.errors.required">กรุณาระบุวันที่เริ่มรับยา</div>
          </div>
        </div>
      </div>


      <div style="padding-top: 30px; padding-bottom: 30px;" class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              สถานะผู้ป่วย
            </span>
          </div>
          <select (change)="onchangeStatus()" class="custom-select" name="status_patient"
            formControlName="status_patient" [ngClass]="{ 'is-invalid': submitted && f.status_patient.errors }"
            formControlName="status_patient" placeholder="ระบุสถานะผู้ป่วย">
            <option value="">กรุณาระบุสถานะผู้ป่วย</option>
            <option value="หาย">หาย</option>
            <option value="ยังรักษาอยู่">ยังรักษาอยู่</option>
            <option value="ส่งตัวไป รพ.">ส่งตัวไป รพ.</option>
            <option value="อื่นๆ">อื่นๆ</option>
          </select>
          <div *ngIf="submitted && f.status_patient.errors" class="invalid-feedback">
            <div *ngIf="f.status_patient.errors.required">กรุณาระบุสถานะผู้ป่วย</div>
          </div>
        </div>

        <div *ngIf="other_status == true" class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ระบุ
            </span>
          </div>
          <input type="text" formControlName="status_patient" class="form-control"
            [ngClass]="{ 'is-invalid': submitted && f.status_patient.errors }" />
        </div>
        <div *ngIf="gotohospital == true" class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ชื่อโรงพยาบาล
            </span>
          </div>
          <input type="text" placeholder="ระบุชื่อโรงพยาบาล" formControlName="admit_patient" class="form-control"
            [ngClass]="{ 'is-invalid': submitted && f.admit_patient.errors }" />
          <div *ngIf="submitted && f.admit_patient.errors" class="invalid-feedback">
            <div *ngIf="f.admit_patient.errors.required">กรุณาระบุชื่อโรงพยาบาล</div>
          </div>
        </div>
      </div>
      <button class="btn btn-primary" type="submit">
        <i class="fa fa-paper-plane"></i> ส่งข้อมูล
      </button>
    </form>
  </div>
</div>